#include "XGS_PIC_SYSTEM_V010.h"
#include "XGS_PIC_GAMEPAD_DRV_V010.h"
#include "XGS_PIC_GFX_DRV_V010.h"
#include "XGS_PIC_NTSC_160_192_2_V010.h"
#include "XGS_PIC_SOUND_DRV_V010.h"

// Global variables needed for the graphics drivers
unsigned char g_VRAMBuffer[VRAM_BUF_SIZE] __attribute((far));
unsigned short g_PaletteMap[PALETTE_MAP_SIZE];
unsigned char g_Palettes[MIN_PALETTE_SIZE];

int main(void) {
// INITIALIZATION
// Setting up the processor for graphics mode

SYS_ConfigureClock(FCY_NTSC);
// Setting up the graphics drivers

GFX_InitBitmap(SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_BPP, g_VRAMBuffer,
               g_Palettes, g_PaletteMap);

memset(g_PaletteMap, 0, sizeof(g_PaletteMap));
memset(g_Palettes, NTSC_BLACK, sizeof(g_Palettes));

g_Palettes[1] = NTSC_WHITE;
// Setting up the gamepad drivers
Gamepad_Init();

// Setting up the sound drivers
SND_Init();

return 0;

}